/*
 * xm.h 0.1 1998/07/13 
 * 
 * Fasttracker 2 XM format class definitions
 * 
 * author: Kokai Istvan <pilu@digicron.com>
 * 
 * This file contains the class definition for read and write xm modules.
 * 
 * version history:
 * 
 * 0.1 - 1998/07/13 - the first private version 
 * 
 */
#ifndef _xm_h
#define _xm_h

#include <fstream.h>
#include <iostream.h>
#include "xmheader.h"
#include "xmpattern.h"
#include <stdlib.h>

class XM {
    
 public:
    char *fname;
    XMHeader *header;
    XMPattern **patterns;
  //  XMInstruments *instruments;
    ifstream inpxm;
    ofstream outxm;
    
 public:
    XM(char*);
    ~XM();
    
    int read();
    int write();
    void print();
    
};

#endif

