/*
 * xmpattern.h 0.1 1998/07/13 
 * 
 * XM Pattern class definition
 * 
 * author: Kokai Istvan <pilu@digicron.com>
 * 
 * This file contains the definition for read and write xm pattern.
 * 
 * version history:
 * 
 * 0.2 - 1998/08/23 - private version 
 * 
 */
#ifndef _xmpattern_h
#define _xmpattern_h

#include <fstream.h>
#include "xmtrack.h"

class XMPattern {
 
 public:
    unsigned int headerLength;
    unsigned char packType;
    unsigned short numRows;
    unsigned short patternDataSize;
    unsigned char* patternData;
    XMTrack **tracks;
protected:
    unsigned short numChannels;
 
    
 public:
    XMPattern(ifstream*,unsigned short);
    ~XMPattern();
    
    int write(ofstream);
    int read(ifstream*);
    void print();
    
};

#endif

