/*
 * midheader.h 0.1 1998/08/27 
 * 
 * Midi Header format class definition
 * 
 * author: Kokai Istvan <pilu@digicron.com>
 * 
 * This file contains the class definition for read and write Midi Header.
 * 
 * version history:
 * 
 * 0.1 - 1998/08/27 - private version 
 * 
 */
#ifndef _midheader_h
#define _midheader_h
	
#include <fstream.h>

class MidiHeader {

 protected:

	unsigned char numTracks[2];
	
	ofstream* out;
	
 public:
	MidiHeader(ofstream*);
	~MidiHeader();

	int write();

	int setNumTracks(unsigned short);

};

#endif  	

