/*
 * midtrack.h 0.1 1998/08/27 
 * 
 * Midi Track format class definition
 * 
 * author: Kokai Istvan <pilu@digicron.com>
 * 
 * This file contains the class definition for read and write Midi Track.
 * 
 * version history:
 * 
 * 0.1 - 1998/08/27 - private version 
 * 
 */
#ifndef _midtrack_h
#define _midtrack_h

#include <fstream.h>


class MidiTrack {

 protected:
 	unsigned char length[4];
 	unsigned char* trackdata; 
 	ofstream* out;
	int tds;
 public:
 	int len;

 public:
 	MidiTrack(ofstream*);
 	~MidiTrack();

 	int write();
 	//int read(ifstream*);

 	int writeNextEvent(unsigned long,unsigned char*,int); 

};

#endif

